CS2 looks to be 8 or maybe more years old so ask Canon which versions they support. You may have to settle for some other editor or convert it to a format CS2 can work with.
Bob